/*************************************************************
GLSL Demo - Per-vertex cube mapping fragment shader
(c) 2005 Antoine Bouthors, EVASION
*************************************************************/

uniform samplerCube TexCube;

void main()
{
	vec4 color = textureCube( TexCube, gl_TexCoord[0].xyz );

	gl_FragColor = color;
}
